Veeam Managed Backup
All operations require authentication.
Lists, per region where a Hosted Private Cloud is located, the region hosting the vaults of its Managed Backup service and the regions allowed as replication secondary siteBeta
Response
Region hosting the backup stack and the primary copy of the vaults for a Hosted Private Cloud located in this region, as reported in the vaultRegion of a Managed Backup service
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaRegions that can be chosen as replication secondary site when ordering a Managed Backup service for a Hosted Private Cloud located in this region
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ reference/ managedBackupVaultRegion \
-H "authorization: Bearer $OVH_TOKEN"{ "key": { "primaryRegionName": "af-north-lz-rba", "secondaryRegions": [ { "name": "af-north-lz-rba", "preferred": true } ] }}
Retrieves the backup tenants you manageBeta
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time the backup tenant is created
Current operational state of the backup tenant
List of tasks that are currently running for the backup tenant
IAM resource metadata
Unique identifier of the backup tenant
Readiness status of the backup tenant
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target state of the backup tenant
Date and time the backup tenant is last updated
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves the details of your backup tenantBeta
Path parameters
Backup services ID
Response
Date and time the backup tenant is created
Current operational state of the backup tenant
List of tasks that are currently running for the backup tenant
IAM resource metadata
Unique identifier of the backup tenant
Readiness status of the backup tenant
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target state of the backup tenant
Date and time the backup tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists vaults for your tenantBeta
Path parameters
Backup services ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
IAM resource metadata
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves specific vault detailsBeta
Path parameters
Backup services ID
Vault ID
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
IAM resource metadata
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates vault display name and cloud repositoryBeta
Path parameters
Backup services ID
Vault ID
Request body (required)
Display name of your vault
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists buckets of the vaultBeta
Path parameters
Backup services ID
Vault ID
Headers
Pagination cursor
Pagination size
Response
Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.
Specifies the unique identifier of the bucket
Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.
Specifies the name of the bucket
Specifies the performance tier of the bucket
HIGH_PERFSTANDARDSpecifies the geographic region where the bucket is located
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaSpecifies the role assigned to the bucket
PRIMARYREPLICASpecifies the current status of the bucket
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket \
-H "authorization: Bearer $OVH_TOKEN"[ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" }]
Gets specific vault bucket detailsBeta
Path parameters
Backup services ID
Bucket ID
Vault ID
Response
Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.
Specifies the unique identifier of the bucket
Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.
Specifies the name of the bucket
Specifies the performance tier of the bucket
HIGH_PERFSTANDARDSpecifies the geographic region where the bucket is located
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaSpecifies the role assigned to the bucket
PRIMARYREPLICASpecifies the current status of the bucket
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket/ {bucketId} \
-H "authorization: Bearer $OVH_TOKEN"{ "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING"}
Retrieves S3™*-compatible credentials and connection endpoint for a vault bucketBeta
* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.
Path parameters
Backup services ID
Bucket ID
Vault ID
Response
S3 access key
Name of the bucket these credentials belong to
S3 endpoint URL to configure in your environment
Short region code of the bucket
ap-south-mumap-southeast-sydbhsca-east-tordeeu-south-mileu-west-pargrarbxsbgsgpukwawS3 secret key, sensitive value
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket/ {bucketId}/ credentials \
-H "authorization: Bearer $OVH_TOKEN"{ "accessKey": "string", "bucketName": "string", "endpoint": "string", "regionCode": "ap-south-mum", "secretKey": "string"}
Retrieves list of VSPC tenantsBeta
Path parameters
Backup services ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
IAM resource metadata
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves details of a specific VSPC tenantBeta
Path parameters
Backup services ID
Vspc tenant ID
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
IAM resource metadata
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates the display name of a VSPC tenantBeta
Path parameters
Backup services ID
Vspc tenant ID
Request body (required)
Display name of the tenant
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Retrieves the Managed Backup services of the VSPC tenant, one per protected Hosted Private Cloud; empty when the Managed Backup add-on is not enabledBeta
Path parameters
Backup services ID
Vspc tenant ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
IAM resource metadata
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves a Managed Backup service of the VSPC tenantBeta
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
IAM resource metadata
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates the display name of a Managed Backup serviceBeta
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Request body (required)
Display name of the service
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Retrieves the current billable consumption of the Managed Backup service: number of backed up virtual machines per vault level and size band with the matching plan code; no price is returnedBeta
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Response
Number of virtual machines generating a billing line, the sum of the vmCount of all lines
One line per non-empty combination of vault level and size band. Empty while the service is suspended.
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ consumption \
-H "authorization: Bearer $OVH_TOKEN"{ "billedVmCount": 0, "lines": [ { "planCode": "string", "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmCount": 0 } ]}
Resets the password of your account on the Veeam Backup & Replication web interface of the Managed Backup serviceBeta
The account is the one reported in currentState.vbrLogin. The new password is generated by the platform and delivered to the contacts of your account. It is never returned by the API. Accepted on a READY or SUSPENDED service without a password reset already in progress.
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ resetPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists the virtual machines known to the Managed Backup service with their protection state, billing dimensions and last backup informationBeta
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Headers
Pagination cursor
Pagination size
Response
vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.
Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.
Name of the virtual machine in vSphere at the last refresh
Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.
PROTECTEDUNPROTECTEDDate and time when this entry was last refreshed from the backup platform
Number of restore points currently held for the virtual machine. 0 when it has never been backed up.
Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.
MAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TBVault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.
ADVANCEDPREMIUMSTANDARDUsed size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ virtualMachine \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0 }]
Retrieves the protection state, billing dimensions and last backup information of a virtual machineBeta
Path parameters
Backup services ID
Managed backup ID
Virtual machine ID
Vspc tenant ID
Response
vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.
Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.
Name of the virtual machine in vSphere at the last refresh
Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.
PROTECTEDUNPROTECTEDDate and time when this entry was last refreshed from the backup platform
Number of restore points currently held for the virtual machine. 0 when it has never been backed up.
Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.
MAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TBVault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.
ADVANCEDPREMIUMSTANDARDUsed size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, virtualMachineId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ virtualMachine/ {virtualMachineId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0}